############################################### X DRIVER SELECTION ############
##### The general-purpose X facility
##### Advantages:    works on all depth displays, colors don't flash
##### Disadvantages: slower, must run locally
XPOWER = -DANYDEPTH

##### An alternate X facility
##### Advantages:    faster, can run remotely
##### Disadvantages: only works on 8 bpp displays, colors flash
# XPOWER =
###############################################################################


############################################### X WIDGET SELECTION ############
##### If using Motif/Lesstif widgets, uncomment the next two lines
TIFFLAGS = -DUSETIF
XTLIBS = -lXm @XMULIB@ -lXt

##### If using Athena widgets, uncomment the next line
# XTLIBS = -lXaw @XMULIB@ -lXt
###############################################################################


############################################### LISP INTERPRETER ##############
##### If building with a LISP interpreter, uncomment the next two lines
# LANGLISP_OBJS= $(ELK_OBJS)
# LANGLISPCFLAGS = -DFORCELISP=1 -Isrc/elk
###############################################################################


############################################### TCL INTERPRETER ###############
##### If building with a TCL interpreter, uncomment the next two lines
# LANGTCL_OBJS= $(TCL_OBJS)
# LANGTCLCFLAGS =  -DFORCETCL=1 -Isrc/tcl/generic
###############################################################################


############################################### JAVA INTERPRETER ##############
##### If building with a JAVA interpreter, uncomment the next two lines
# LANGJAVACFLAGS = -DFORCEJAVA=1 -I$(LANGJAVA_DIR)/include -I$(LANGJAVA_DIR)/include/$(LANGJAVA_OS)
# LANGJAVALIBS = -L$(LANGJAVA_DIR)/jre/lib/$(LANGJAVA_MACHINE)/classic -L$(LANGJAVA_DIR)/jre/lib/$(LANGJAVA_MACHINE)/native_threads -ljvm $(LANGJAVA_THREADLIB)

##### If building with a JAVA interpreter, set the next line to the JDK path
LANGJAVA_DIR = /usr/java/jdk1.3
# LANGJAVA_DIR = /net/cadlabs/export/home/java/jdk1.2

##### If building with JAVA on Sun/Solaris, uncomment the next three lines
# LANGJAVA_MACHINE = sparc
# LANGJAVA_OS = solaris
# LANGJAVA_THREADLIB = -lthread

##### If building with JAVA on I386/GNU/Linux, uncomment the next three lines
# LANGJAVA_MACHINE = i386
# LANGJAVA_OS = linux
# LANGJAVA_THREADLIB = -lhpi
###############################################################################


############################################### MISCELLANEOUS EXTRAS ##########
##### If building with CADENCE modules, uncomment the next two lines
# CADENCE_OBJS = src/io/ioskillo.o
# CADENCECFLAGS = -DFORCECADENCE=1

##### If debugging, add "-g" (or any other debugging option) to the next line
DEBUG =

##### These are your C and C++ compilers:
CCOMPILER = @CC@
CPPCOMPILER = @CXX@
###############################################################################


.KEEP_STATE:
.SCCS_GET:
.SUFFIXES:
.SUFFIXES: .c .cpp .o

# implicit rule for compilation
.c.o:
	$(CCOMPILER) $(CFLAGS) -c $< -o $@
.cpp.o:
	$(CPPCOMPILER) $(CFLAGS) -c $< -o $@

CONS_OBJS = \
    src/cons/conlay.o \
    src/cons/conlin.o \
    src/cons/conlingtt.o \
    src/cons/conlinprs.o \
    src/cons/conlinttg.o \
    src/cons/contable.o

DB_OBJS = \
    src/db/aidtable.o \
    src/db/data.o \
    src/db/dbchange.o \
    src/db/dbcontour.o \
    src/db/dbcontrol.o \
    src/db/dbcreate.o \
    src/db/dberror.o \
    src/db/dbgeom.o \
    src/db/dblang.o \
    src/db/dblangelk.o \
    src/db/dblangjava.o \
    src/db/dblangtcl.o \
    src/db/dblibrary.o \
    src/db/dbmath.o \
    src/db/dbmemory.o \
    src/db/dbmerge.o \
    src/db/dbmult.o \
    src/db/dbnoproto.o \
    src/db/dbtech.o \
    src/db/dbtechi.o \
    src/db/dbtext.o \
    src/db/dbvars.o

DRC_OBJS = \
    src/drc/drc.o \
    src/drc/drcbatch.o \
    src/drc/drcflat.o

ELK_OBJS = \
    src/elk/elkautoload.o \
    src/elk/elkbignum.o \
    src/elk/elkbool.o \
    src/elk/elkchar.o \
    src/elk/elkcont.o \
    src/elk/elkcstring.o \
    src/elk/elkdebug.o \
    src/elk/elkdump.o \
    src/elk/elkenv.o \
    src/elk/elkerror.o \
    src/elk/elkexception.o \
    src/elk/elkfeature.o \
    src/elk/elkheap.o \
    src/elk/elkio.o \
    src/elk/elklist.o \
    src/elk/elkload.o \
    src/elk/elkmain.o \
    src/elk/elkmalloc.o \
    src/elk/elkmath.o \
    src/elk/elkonfork.o \
    src/elk/elkprim.o \
    src/elk/elkprint.o \
    src/elk/elkproc.o \
    src/elk/elkpromise.o \
    src/elk/elkread.o \
    src/elk/elkspecial.o \
    src/elk/elkstab.o \
    src/elk/elkstkmem.o \
    src/elk/elkstring.o \
    src/elk/elksymbol.o \
    src/elk/elkterminate.o \
    src/elk/elktype.o \
    src/elk/elkvector.o

GRAPH_OBJS = \
    src/graph/graphunixx11.o

IO_OBJS = \
    src/io/io.o \
    src/io/iobinaryi.o \
    src/io/iobinaryo.o \
    src/io/iocifin.o \
    src/io/iocifout.o \
    src/io/iocifpars.o \
    src/io/iodefi.o \
    src/io/iodxf.o \
    src/io/ioeagleo.o \
    src/io/ioedifi.o \
    src/io/ioedifo.o \
    src/io/iogdsi.o \
    src/io/iogdso.o \
    src/io/iohpglout.o \
    src/io/iolefi.o \
    src/io/iolefo.o \
    src/io/iolout.o \
    src/io/iopadso.o \
    src/io/iopsout.o \
    src/io/iosdfi.o \
    src/io/iosuei.o \
    src/io/iotexti.o \
    src/io/iotexto.o \
    src/io/iovhdl.o

MISC_OBJS = \
    src/misc/compact.o \
    src/misc/compensate.o \
    src/misc/erc.o \
    src/misc/logeffort.o \
    src/misc/projecttool.o

NET_OBJS = \
    src/net/netdiff.o \
    src/net/netflat.o \
    src/net/network.o

PLA_OBJS = \
    src/pla/pla.o \
    src/pla/placdecode.o \
    src/pla/placio.o \
    src/pla/placngrid.o \
    src/pla/placpgrid.o \
    src/pla/placpla.o \
    src/pla/placutils.o \
    src/pla/planfacets.o \
    src/pla/planopt.o \
    src/pla/planprog1.o \
    src/pla/planprog2.o

ROUT_OBJS = \
    src/rout/rout.o \
    src/rout/routauto.o \
    src/rout/routmaze.o \
    src/rout/routmimic.o \
    src/rout/routriver.o

SC_OBJS = \
    src/sc/sc1.o \
    src/sc/sc1command.o \
    src/sc/sc1component.o \
    src/sc/sc1connect.o \
    src/sc/sc1delete.o \
    src/sc/sc1electric.o \
    src/sc/sc1err.o \
    src/sc/sc1extract.o \
    src/sc/sc1interface.o \
    src/sc/sc1maker.o \
    src/sc/sc1place.o \
    src/sc/sc1route.o \
    src/sc/sc1sim.o

SIM_OBJS = \
    src/sim/sim.o \
    src/sim/simals.o \
    src/sim/simalscom.o \
    src/sim/simalsflat.o \
    src/sim/simalsgraph.o \
    src/sim/simalssim.o \
    src/sim/simalsuser.o \
    src/sim/simfasthenry.o \
    src/sim/simmossim.o \
    src/sim/simpal.o \
    src/sim/simsilos.o \
    src/sim/simsim.o \
    src/sim/simspice.o \
    src/sim/simspicerun.o \
    src/sim/simtexsim.o \
    src/sim/simverilog.o \
    src/sim/simwindow.o
    
TCL_OBJS = \
    src/tcl/generic/panic.o \
    src/tcl/generic/regexp.o \
    src/tcl/generic/tclAsync.o \
    src/tcl/generic/tclBasic.o \
    src/tcl/generic/tclBinary.o \
    src/tcl/generic/tclCkalloc.o \
    src/tcl/generic/tclClock.o \
    src/tcl/generic/tclCmdAH.o \
    src/tcl/generic/tclCmdIL.o \
    src/tcl/generic/tclCmdMZ.o \
    src/tcl/generic/tclCompExpr.o \
    src/tcl/generic/tclCompile.o \
    src/tcl/generic/tclDate.o \
    src/tcl/generic/tclEnv.o \
    src/tcl/generic/tclEvent.o \
    src/tcl/generic/tclExecute.o \
    src/tcl/generic/tclFCmd.o \
    src/tcl/generic/tclFileName.o \
    src/tcl/generic/tclGet.o \
    src/tcl/generic/tclHash.o \
    src/tcl/generic/tclHistory.o \
    src/tcl/generic/tclIO.o \
    src/tcl/generic/tclIOCmd.o \
    src/tcl/generic/tclIOSock.o \
    src/tcl/generic/tclIOUtil.o \
    src/tcl/generic/tclIndexObj.o \
    src/tcl/generic/tclInterp.o \
    src/tcl/generic/tclLink.o \
    src/tcl/generic/tclListObj.o \
    src/tcl/generic/tclLoad.o \
    src/tcl/generic/tclLoadNone.o \
    src/tcl/generic/tclMain.o \
    src/tcl/generic/tclNamesp.o \
    src/tcl/generic/tclNotify.o \
    src/tcl/generic/tclObj.o \
    src/tcl/generic/tclParse.o \
    src/tcl/generic/tclPipe.o \
    src/tcl/generic/tclPkg.o \
    src/tcl/generic/tclPosixStr.o \
    src/tcl/generic/tclPreserve.o \
    src/tcl/generic/tclProc.o \
    src/tcl/generic/tclStringObj.o \
    src/tcl/generic/tclTimer.o \
    src/tcl/generic/tclUtil.o \
    src/tcl/generic/tclVar.o \
    src/tcl/unix/tclUnixChan.o \
    src/tcl/unix/tclUnixEvent.o \
    src/tcl/unix/tclUnixFCmd.o \
    src/tcl/unix/tclUnixFile.o \
    src/tcl/unix/tclUnixInit.o \
    src/tcl/unix/tclUnixNotfy.o \
    src/tcl/unix/tclUnixPipe.o \
    src/tcl/unix/tclUnixSock.o \
    src/tcl/unix/tclUnixTime.o
 
TEC_OBJS = \
    src/tec/tecart.o \
    src/tec/tecbicmos.o \
    src/tec/tecbipolar.o \
    src/tec/teccmos.o \
    src/tec/teccmosdodn.o \
    src/tec/tecefido.o \
    src/tec/tecfpga.o \
    src/tec/tecgem.o \
    src/tec/tecgen.o \
    src/tec/tecmocmos.o \
    src/tec/tecmocmos2.o \
    src/tec/tecmocmossub.o \
    src/tec/tecnmos.o \
    src/tec/tecpcb.o \
    src/tec/tecrcmos.o \
    src/tec/tecschem.o \
    src/tec/tectable.o

USR_OBJS = \
    src/usr/usr.o \
    src/usr/usrarc.o \
    src/usr/usrcheck.o \
    src/usr/usrcom.o \
    src/usr/usrcomab.o \
    src/usr/usrcomcd.o \
    src/usr/usrcomek.o \
    src/usr/usrcomln.o \
    src/usr/usrcomoq.o \
    src/usr/usrcomrs.o \
    src/usr/usrcomtv.o \
    src/usr/usrcomwz.o \
    src/usr/usrctech.o \
    src/usr/usrdiacom.o \
    src/usr/usrdisp.o \
    src/usr/usreditemacs.o \
    src/usr/usreditpac.o \
    src/usr/usredtecc.o \
    src/usr/usredtecg.o \
    src/usr/usredtecp.o \
    src/usr/usrgraph.o \
    src/usr/usrhigh.o \
    src/usr/usrmenu.o \
    src/usr/usrmisc.o \
    src/usr/usrnet.o \
    src/usr/usrparse.o \
    src/usr/usrstatus.o \
    src/usr/usrterminal.o \
    src/usr/usrtrack.o \
    src/usr/usrwindow.o

VHDL_OBJS = \
    src/vhdl/vhdl.o \
    src/vhdl/vhdlexpr.o \
    src/vhdl/vhdlnetlisp.o \
    src/vhdl/vhdlparser.o \
    src/vhdl/vhdlals.o \
    src/vhdl/vhdlquisc.o \
    src/vhdl/vhdlsemantic.o \
    src/vhdl/vhdlsilos.o

EXTRA_OBJS = $(LANGLISP_OBJS) $(LANGTCL_OBJS) $(CADENCE_OBJS)

CORE_OBJS = \
    $(CONS_OBJS) \
    $(DB_OBJS) \
    $(DRC_OBJS) \
    $(GRAPH_OBJS) \
    $(IO_OBJS) \
    $(MISC_OBJS) \
    $(NET_OBJS) \
    $(PLA_OBJS) \
    $(ROUT_OBJS) \
    $(SC_OBJS) \
    $(SIM_OBJS) \
    $(TEC_OBJS) \
    $(USR_OBJS) \
    $(VHDL_OBJS) \
    $(EXTRA_OBJS)

BUILDOPTS = $(DEBUG)
BUILDDIR = obj
HDS = src/include
EXTRA_CFLAGS = $(LANGLISPCFLAGS) $(LANGTCLCFLAGS) $(LANGJAVACFLAGS) $(CADENCECFLAGS)
CFLAGS = $(EXTRA_CFLAGS) $(DEBUG) -I$(HDS)
XCFLAGS = @X_CFLAGS@ $(CFLAGS) $(TIFFLAGS) $(XPOWER)
EXTRA_LIBS = $(LANGJAVALIBS)
LIBS = @X_PRE_LIBS@ @X_LIBS@ $(XTLIBS) -lX11 -lm @X_EXTRA_LIBS@ $(EXTRA_LIBS)
INSTALL = cp -r
INSTALL_PROGRAM = $(INSTALL)
INSTALL_DATA = $(INSTALL)
prefix = @prefix@
exec_prefix = @exec_prefix@

# the target of the build
electric: $(CORE_OBJS)
	$(CCOMPILER) $(BUILDOPTS) -o electric $(CORE_OBJS) $(LIBS)
 
clean:
	rm -f electric
	rm -f src/cons/*.o
	rm -f src/db/*.o
	rm -f src/drc/*.o
	rm -f src/elk/*.o
	rm -f src/graph/*.o
	rm -f src/io/*.o
	rm -f src/misc/*.o
	rm -f src/net/*.o
	rm -f src/pla/*.o
	rm -f src/rout/*.o
	rm -f src/sc/*.o
	rm -f src/sim/*.o
	rm -f src/tcl/generic/*.o
	rm -f src/tcl/unix/*.o
	rm -f src/tec/*.o
	rm -f src/usr/*.o
	rm -f src/vhdl/*.o

distclean: clean
	rm -f Makefile config.cache config.log config.status
	rm -f $(HDS)/defines.h examples/samples.elib
	rm -f *~ "#"*"#"
	rm -f examples/*~ examples/"#"*"#"
	rm -f examples/pla/*~ examples/pla/"#"*"#"
	rm -f lib/*~ lib/"#"*"#"
	rm -f html/*~ html/"#"*"#"
	rm -f html/manual/*~ html/manual/"#"*"#"
	rm -f html/manual/text/*~ html/manual/text/"#"*"#"
	rm -f html/manual/images/*~ html/manual/images/"#"*"#"
	rm -f src/*~ src/"#"*"#"
	rm -f src/cons/*~ src/cons/"#"*"#"
	rm -f src/db/*~ src/db/"#"*"#"
	rm -f src/drc/*~ src/drc/"#"*"#"
	rm -f src/elk/*~ src/elk/"#"*"#"
	rm -f src/graph/*~ src/graph/"#"*"#"
	rm -f src/include/*~ src/include/"#"*"#"
	rm -f src/io/*~ src/io/"#"*"#"
	rm -f src/misc/*~ src/misc/"#"*"#"
	rm -f src/net/*~ src/net/"#"*"#"
	rm -f src/pla/*~ src/pla/"#"*"#"
	rm -f src/rout/*~ src/rout/"#"*"#"
	rm -f src/sc/*~ src/sc/"#"*"#"
	rm -f src/sim/*~ src/sim/"#"*"#"
	rm -f src/tcl/*~ src/tcl/"#"*"#"
	rm -f src/tcl/generic/*~ src/tcl/generic/"#"*"#"
	rm -f src/tcl/unix/*~ src/tcl/unix/"#"*"#"
	rm -f src/tec/*~ src/tec/"#"*"#"
	rm -f src/usr/*~ src/usr/"#"*"#"
	rm -f src/vhdl/*~ src/vhdl/"#"*"#"

INSTALL_DIRS = $(prefix)/electric $(prefix)/electric/lib

install: electric $(INSTALL_DIRS)
	$(INSTALL_PROGRAM) electric @bindir@/electric
	$(INSTALL_DATA) lib/* $(prefix)/electric/lib
	$(INSTALL_DATA) lib/.cadrc $(prefix)/electric/lib

$(prefix)/electric:
	mkdir $(prefix)/electric
$(prefix)/electric/lib:
	mkdir $(prefix)/electric/lib

uninstall:
	rm -f @bindir@/electric
	rm -rf $(prefix)/electric

depend:
	grep '\#include' `ls -1 src/*/*.c` | \
	grep -v '<' | \
	sed -e 's/:[^"]*"\([^"]*\)".*/: \1/' \
	    -e 's/^\(.*\)\.c: /\1.o: \1.c /' \
	    -e 's/ \([a-z0-9]*\)\.h/ \$$(HDS)\/\1.h/' | \
	awk ' { if ($$1 != prev) { print rec; rec = $$0; prev = $$1; } \
	        else rec = rec " " $$3 } END { print rec } ' | \
	sort > makedep

# special dependencies (manually generated)

$(HDS)/config.h: $(HDS)/defines.h
$(HDS)/global.h: $(HDS)/config.h
src/elk/elkkernel.h: src/elk/elkconfig.h src/elk/elkfuncproto.h \
	src/elk/elkparam.h src/elk/elkobject.h src/elk/elkintern.h \
	src/elk/elkextern.h src/elk/elkmisc.h src/elk/elkexception.h \
	src/elk/elkgc.h src/elk/elktype.h src/elk/elkstkmem.h \
	src/elk/elkcstring.h src/elk/elkcompat.h
src/tcl/generic/tclInt.h: src/tcl/generic/tcl.h src/tcl/generic/tclRegexp.h
src/tcl/generic/tclPort.h: src/tcl/unix/tclUnixPort.h
src/graph/graphunixx11.o: src/graph/graphunixx11.c $(HDS)/global.h $(HDS)/database.h $(HDS)/egraphics.h $(HDS)/usr.h $(HDS)/eio.h $(HDS)/usrtrack.h $(HDS)/edialogs.h $(HDS)/config.h
	$(CCOMPILER) $(XCFLAGS) -c src/graph/graphunixx11.c -o $@
 
# dependencies (automatically generated from "make depend")

src/cons/conlay.o: src/cons/conlay.c $(HDS)/global.h $(HDS)/conlay.h $(HDS)/database.h $(HDS)/usr.h
src/cons/conlin.o: src/cons/conlin.c $(HDS)/global.h $(HDS)/database.h $(HDS)/conlin.h
src/cons/conlingtt.o: src/cons/conlingtt.c $(HDS)/global.h $(HDS)/conlin.h
src/cons/conlinprs.o: src/cons/conlinprs.c $(HDS)/global.h $(HDS)/conlin.h
src/cons/conlinttg.o: src/cons/conlinttg.c $(HDS)/global.h $(HDS)/database.h $(HDS)/conlin.h
src/cons/contable.o: src/cons/contable.c $(HDS)/global.h $(HDS)/conlay.h $(HDS)/conlin.h
src/db/aidtable.o: src/db/aidtable.c $(HDS)/global.h $(HDS)/network.h $(HDS)/compact.h $(HDS)/compensate.h $(HDS)/drc.h $(HDS)/eio.h $(HDS)/logeffort.h $(HDS)/network.h $(HDS)/pla.h $(HDS)/rout.h $(HDS)/sc1.h $(HDS)/sim.h $(HDS)/usr.h $(HDS)/vhdl.h
src/db/data.o: src/db/data.c $(HDS)/global.h
src/db/dbchange.o: src/db/dbchange.c $(HDS)/global.h $(HDS)/database.h $(HDS)/edialogs.h $(HDS)/usr.h
src/db/dbcontour.o: src/db/dbcontour.c $(HDS)/global.h $(HDS)/dbcontour.h $(HDS)/tecart.h $(HDS)/tecgen.h $(HDS)/eio.h
src/db/dbcontrol.o: src/db/dbcontrol.c $(HDS)/global.h $(HDS)/database.h $(HDS)/tech.h $(HDS)/edialogs.h
src/db/dbcreate.o: src/db/dbcreate.c $(HDS)/global.h $(HDS)/egraphics.h $(HDS)/database.h
src/db/dberror.o: src/db/dberror.c $(HDS)/global.h $(HDS)/database.h
src/db/dbgeom.o: src/db/dbgeom.c $(HDS)/global.h $(HDS)/database.h $(HDS)/egraphics.h $(HDS)/tech.h $(HDS)/tecgen.h $(HDS)/tecschem.h $(HDS)/tecart.h
src/db/dblang.o: src/db/dblang.c $(HDS)/global.h $(HDS)/database.h $(HDS)/dblang.h
src/db/dblangelk.o: src/db/dblangelk.c $(HDS)/config.h $(HDS)/global.h $(HDS)/dblang.h
src/db/dblangjava.o: src/db/dblangjava.cpp $(HDS)/config.h $(HDS)/global.h $(HDS)/dblang.h $(HDS)/usr.h
src/db/dblangmm.o: src/db/dblangmm.c $(HDS)/config.h $(HDS)/global.h $(HDS)/dblang.h
src/db/dblangtcl.o: src/db/dblangtcl.c $(HDS)/config.h $(HDS)/global.h $(HDS)/dblang.h $(HDS)/database.h $(HDS)/usr.h
src/db/dblibrary.o: src/db/dblibrary.c $(HDS)/global.h $(HDS)/database.h
src/db/dbmath.o: src/db/dbmath.c $(HDS)/global.h $(HDS)/database.h $(HDS)/egraphics.h $(HDS)/efunction.h $(HDS)/tecart.h $(HDS)/tecgen.h $(HDS)/tecschem.h $(HDS)/usr.h
src/db/dbmemory.o: src/db/dbmemory.c $(HDS)/global.h $(HDS)/database.h
src/db/dbmerge.o: src/db/dbmerge.c $(HDS)/global.h $(HDS)/database.h $(HDS)/egraphics.h
src/db/dbmult.o: src/db/dbmult.c $(HDS)/global.h $(HDS)/database.h
src/db/dbnoproto.o: src/db/dbnoproto.c $(HDS)/global.h $(HDS)/database.h $(HDS)/egraphics.h $(HDS)/usr.h
src/db/dbtech.o: src/db/dbtech.c $(HDS)/global.h $(HDS)/database.h $(HDS)/egraphics.h $(HDS)/tech.h $(HDS)/tecgen.h $(HDS)/tecart.h $(HDS)/tecschem.h $(HDS)/efunction.h
src/db/dbtechi.o: src/db/dbtechi.c $(HDS)/global.h $(HDS)/database.h $(HDS)/egraphics.h $(HDS)/tech.h $(HDS)/efunction.h
src/db/dbtext.o: src/db/dbtext.c $(HDS)/global.h $(HDS)/database.h $(HDS)/egraphics.h $(HDS)/usr.h
src/db/dbvars.o: src/db/dbvars.c $(HDS)/global.h $(HDS)/database.h $(HDS)/egraphics.h $(HDS)/usr.h
src/drc/drc.o: src/drc/drc.c $(HDS)/config.h $(HDS)/global.h $(HDS)/egraphics.h $(HDS)/drc.h $(HDS)/efunction.h $(HDS)/tech.h $(HDS)/edialogs.h $(HDS)/usr.h
src/drc/drcbatch.o: src/drc/drcbatch.c $(HDS)/config.h $(HDS)/global.h $(HDS)/efunction.h $(HDS)/drc.h $(HDS)/database.h $(HDS)/tech.h $(HDS)/egraphics.h $(HDS)/usr.h
src/drc/drcflat.o: src/drc/drcflat.c $(HDS)/config.h $(HDS)/global.h $(HDS)/drc.h $(HDS)/efunction.h $(HDS)/egraphics.h
src/elk/elkautoload.o: src/elk/elkautoload.c src/elk/elkkernel.h
src/elk/elkbignum.o: src/elk/elkbignum.c src/elk/elkkernel.h
src/elk/elkbool.o: src/elk/elkbool.c src/elk/elkkernel.h
src/elk/elkchar.o: src/elk/elkchar.c src/elk/elkkernel.h
src/elk/elkcont.o: src/elk/elkcont.c src/elk/elkkernel.h
src/elk/elkcstring.o: src/elk/elkcstring.c src/elk/elkkernel.h
src/elk/elkdebug.o: src/elk/elkdebug.c src/elk/elkkernel.h
src/elk/elkdump.o: src/elk/elkdump.c src/elk/elkkernel.h
src/elk/elkenv.o: src/elk/elkenv.c src/elk/elkkernel.h
src/elk/elkerror.o: src/elk/elkerror.c $(HDS)/global.h src/elk/elkkernel.h
src/elk/elkexception.o: src/elk/elkexception.c src/elk/elkkernel.h
src/elk/elkfeature.o: src/elk/elkfeature.c src/elk/elkkernel.h
src/elk/elkheap.o: src/elk/elkheap.c $(HDS)/global.h src/elk/elkkernel.h src/elk/elkheap-sc.c
src/elk/elkio.o: src/elk/elkio.c src/elk/elkkernel.h
src/elk/elklist.o: src/elk/elklist.c src/elk/elkkernel.h
src/elk/elkload.o: src/elk/elkload.c src/elk/elkkernel.h
src/elk/elkmain.o: src/elk/elkmain.c $(HDS)/global.h src/elk/elkkernel.h
src/elk/elkmalloc.o: src/elk/elkmalloc.c src/elk/elkkernel.h
src/elk/elkmath.o: src/elk/elkmath.c src/elk/elkkernel.h
src/elk/elkonfork.o: src/elk/elkonfork.c src/elk/elkkernel.h
src/elk/elkprim.o: src/elk/elkprim.c src/elk/elkkernel.h
src/elk/elkprint.o: src/elk/elkprint.c src/elk/elkkernel.h
src/elk/elkproc.o: src/elk/elkproc.c src/elk/elkkernel.h
src/elk/elkpromise.o: src/elk/elkpromise.c src/elk/elkkernel.h
src/elk/elkread.o: src/elk/elkread.c $(HDS)/global.h src/elk/elkkernel.h
src/elk/elkspecial.o: src/elk/elkspecial.c src/elk/elkkernel.h
src/elk/elkstab.o: src/elk/elkstab.c src/elk/elkkernel.h
src/elk/elkstkmem.o: src/elk/elkstkmem.c src/elk/elkkernel.h
src/elk/elkstring.o: src/elk/elkstring.c src/elk/elkkernel.h
src/elk/elksymbol.o: src/elk/elksymbol.c src/elk/elkkernel.h
src/elk/elkterminate.o: src/elk/elkterminate.c src/elk/elkkernel.h
src/elk/elktype.o: src/elk/elktype.c src/elk/elkkernel.h
src/elk/elkvector.o: src/elk/elkvector.c src/elk/elkkernel.h
src/io/io.o: src/io/io.c $(HDS)/global.h $(HDS)/database.h $(HDS)/efunction.h $(HDS)/dbcontour.h $(HDS)/eio.h $(HDS)/usredtec.h $(HDS)/edialogs.h $(HDS)/tecart.h $(HDS)/tecschem.h
src/io/iobinaryi.o: src/io/iobinaryi.c $(HDS)/global.h $(HDS)/database.h $(HDS)/eio.h $(HDS)/tecgen.h $(HDS)/tecschem.h $(HDS)/edialogs.h
src/io/iobinaryo.o: src/io/iobinaryo.c $(HDS)/global.h $(HDS)/eio.h $(HDS)/usr.h
src/io/iocifin.o: src/io/iocifin.c $(HDS)/config.h $(HDS)/global.h $(HDS)/eio.h $(HDS)/iocifpars.h $(HDS)/edialogs.h
src/io/iocifout.o: src/io/iocifout.c $(HDS)/config.h $(HDS)/global.h $(HDS)/eio.h $(HDS)/egraphics.h $(HDS)/tecgen.h $(HDS)/edialogs.h $(HDS)/efunction.h
src/io/iocifpars.o: src/io/iocifpars.c $(HDS)/config.h $(HDS)/global.h $(HDS)/eio.h $(HDS)/iocifpars.h $(HDS)/edialogs.h
src/io/iodefi.o: src/io/iodefi.c $(HDS)/config.h $(HDS)/global.h $(HDS)/egraphics.h $(HDS)/efunction.h $(HDS)/edialogs.h $(HDS)/iolefdef.h $(HDS)/tecart.h $(HDS)/tecgen.h $(HDS)/eio.h $(HDS)/usr.h
src/io/iodxf.o: src/io/iodxf.c $(HDS)/config.h $(HDS)/global.h $(HDS)/egraphics.h $(HDS)/efunction.h $(HDS)/database.h $(HDS)/tecgen.h $(HDS)/tecart.h $(HDS)/eio.h $(HDS)/edialogs.h
src/io/ioeagleo.o: src/io/ioeagleo.c $(HDS)/config.h $(HDS)/global.h $(HDS)/eio.h
src/io/ioedifi.o: src/io/ioedifi.c $(HDS)/config.h $(HDS)/global.h $(HDS)/egraphics.h $(HDS)/efunction.h $(HDS)/database.h $(HDS)/edialogs.h $(HDS)/tecgen.h $(HDS)/tecart.h $(HDS)/tecschem.h $(HDS)/eio.h $(HDS)/network.h $(HDS)/usr.h
src/io/ioedifo.o: src/io/ioedifo.c $(HDS)/config.h $(HDS)/global.h $(HDS)/efunction.h $(HDS)/eio.h $(HDS)/egraphics.h $(HDS)/tech.h $(HDS)/tecgen.h $(HDS)/network.h $(HDS)/edialogs.h
src/io/iogdsi.o: src/io/iogdsi.c $(HDS)/config.h $(HDS)/global.h $(HDS)/egraphics.h $(HDS)/efunction.h $(HDS)/database.h $(HDS)/eio.h $(HDS)/iogdsi.h $(HDS)/tech.h $(HDS)/tecgen.h $(HDS)/edialogs.h
src/io/iogdso.o: src/io/iogdso.c $(HDS)/config.h $(HDS)/global.h $(HDS)/eio.h $(HDS)/egraphics.h $(HDS)/tech.h $(HDS)/dbcontour.h $(HDS)/tecgen.h $(HDS)/tecart.h $(HDS)/edialogs.h
src/io/iohpglout.o: src/io/iohpglout.c $(HDS)/config.h $(HDS)/global.h $(HDS)/egraphics.h $(HDS)/eio.h
src/io/iolefi.o: src/io/iolefi.c $(HDS)/config.h $(HDS)/global.h $(HDS)/egraphics.h $(HDS)/efunction.h $(HDS)/edialogs.h $(HDS)/iolefdef.h $(HDS)/tecart.h $(HDS)/tecgen.h $(HDS)/eio.h $(HDS)/usr.h
src/io/iolefo.o: src/io/iolefo.c $(HDS)/config.h $(HDS)/global.h $(HDS)/eio.h $(HDS)/efunction.h
src/io/iolout.o: src/io/iolout.c $(HDS)/config.h $(HDS)/global.h $(HDS)/eio.h $(HDS)/efunction.h
src/io/iopadso.o: src/io/iopadso.c $(HDS)/config.h $(HDS)/global.h $(HDS)/eio.h
src/io/iopsout.o: src/io/iopsout.c $(HDS)/config.h $(HDS)/global.h $(HDS)/egraphics.h $(HDS)/eio.h $(HDS)/usr.h $(HDS)/edialogs.h
src/io/ioquickdraw.o: src/io/ioquickdraw.c $(HDS)/config.h $(HDS)/global.h $(HDS)/egraphics.h $(HDS)/eio.h $(HDS)/usr.h $(HDS)/efunction.h
src/io/iosdfi.o: src/io/iosdfi.c $(HDS)/config.h $(HDS)/global.h $(HDS)/egraphics.h $(HDS)/efunction.h $(HDS)/database.h $(HDS)/edialogs.h $(HDS)/eio.h $(HDS)/usr.h
src/io/ioskillo.o: src/io/ioskillo.c $(HDS)/config.h $(HDS)/global.h $(HDS)/eio.h $(HDS)/efunction.h $(HDS)/tecgen.h $(HDS)/edialogs.h
src/io/iosuei.o: src/io/iosuei.c $(HDS)/global.h $(HDS)/edialogs.h $(HDS)/egraphics.h $(HDS)/eio.h $(HDS)/tech.h $(HDS)/tecart.h $(HDS)/tecgen.h $(HDS)/tecschem.h $(HDS)/network.h $(HDS)/usr.h
src/io/iotexti.o: src/io/iotexti.c $(HDS)/global.h $(HDS)/database.h $(HDS)/eio.h $(HDS)/tecgen.h $(HDS)/tecschem.h $(HDS)/edialogs.h
src/io/iotexto.o: src/io/iotexto.c $(HDS)/global.h $(HDS)/eio.h
src/io/iovhdl.o: src/io/iovhdl.c $(HDS)/config.h $(HDS)/global.h $(HDS)/eio.h $(HDS)/edialogs.h
src/misc/compact.o: src/misc/compact.c $(HDS)/config.h $(HDS)/global.h $(HDS)/compact.h $(HDS)/efunction.h $(HDS)/edialogs.h $(HDS)/conlay.h
src/misc/compensate.o: src/misc/compensate.c $(HDS)/config.h $(HDS)/global.h $(HDS)/egraphics.h $(HDS)/dbcontour.h $(HDS)/edialogs.h $(HDS)/tecart.h $(HDS)/tecgen.h $(HDS)/usr.h $(HDS)/compensate.h
src/misc/erc.o: src/misc/erc.c $(HDS)/config.h $(HDS)/global.h $(HDS)/efunction.h $(HDS)/egraphics.h $(HDS)/erc.h $(HDS)/edialogs.h
src/misc/logeffort.o: src/misc/logeffort.c $(HDS)/config.h $(HDS)/global.h $(HDS)/efunction.h $(HDS)/logeffort.h $(HDS)/usr.h
src/misc/projecttool.o: src/misc/projecttool.c $(HDS)/config.h $(HDS)/global.h $(HDS)/projecttool.h $(HDS)/edialogs.h $(HDS)/usr.h $(HDS)/usrdiacom.h $(HDS)/tecgen.h
src/net/netdiff.o: src/net/netdiff.c $(HDS)/global.h $(HDS)/network.h $(HDS)/efunction.h
src/net/netflat.o: src/net/netflat.c $(HDS)/network.h $(HDS)/global.h $(HDS)/network.h $(HDS)/efunction.h
src/net/network.o: src/net/network.c $(HDS)/global.h $(HDS)/network.h $(HDS)/database.h $(HDS)/egraphics.h $(HDS)/sim.h $(HDS)/tecschem.h $(HDS)/efunction.h $(HDS)/edialogs.h $(HDS)/usr.h
src/pla/pla.o: src/pla/pla.c $(HDS)/config.h $(HDS)/global.h $(HDS)/pla.h $(HDS)/planmos.h
src/pla/placdecode.o: src/pla/placdecode.c $(HDS)/config.h $(HDS)/global.h $(HDS)/placmos.h
src/pla/placio.o: src/pla/placio.c $(HDS)/config.h $(HDS)/global.h $(HDS)/pla.h $(HDS)/placmos.h
src/pla/placngrid.o: src/pla/placngrid.c $(HDS)/config.h $(HDS)/global.h $(HDS)/placmos.h
src/pla/placpgrid.o: src/pla/placpgrid.c $(HDS)/config.h $(HDS)/global.h $(HDS)/placmos.h
src/pla/placpla.o: src/pla/placpla.c $(HDS)/config.h $(HDS)/global.h $(HDS)/placmos.h
src/pla/placutils.o: src/pla/placutils.c $(HDS)/config.h $(HDS)/global.h $(HDS)/placmos.h $(HDS)/pla.h $(HDS)/tecgen.h $(HDS)/usr.h
src/pla/planfacets.o: src/pla/planfacets.c $(HDS)/config.h $(HDS)/global.h $(HDS)/planmos.h
src/pla/planopt.o: src/pla/planopt.c $(HDS)/config.h $(HDS)/global.h $(HDS)/planmos.h
src/pla/planprog1.o: src/pla/planprog1.c $(HDS)/config.h $(HDS)/global.h $(HDS)/planmos.h
src/pla/planprog2.o: src/pla/planprog2.c $(HDS)/config.h $(HDS)/global.h $(HDS)/planmos.h
src/rout/rout.o: src/rout/rout.c $(HDS)/config.h $(HDS)/global.h $(HDS)/rout.h $(HDS)/usr.h $(HDS)/tecschem.h $(HDS)/tecgen.h $(HDS)/edialogs.h
src/rout/routauto.o: src/rout/routauto.c $(HDS)/config.h $(HDS)/global.h $(HDS)/efunction.h $(HDS)/rout.h $(HDS)/usr.h
src/rout/routmaze.o: src/rout/routmaze.c $(HDS)/config.h $(HDS)/global.h $(HDS)/efunction.h $(HDS)/egraphics.h $(HDS)/usr.h $(HDS)/tecgen.h $(HDS)/rout.h
src/rout/routmimic.o: src/rout/routmimic.c $(HDS)/config.h $(HDS)/global.h $(HDS)/rout.h $(HDS)/usr.h
src/rout/routriver.o: src/rout/routriver.c $(HDS)/config.h $(HDS)/global.h $(HDS)/rout.h $(HDS)/tecgen.h
src/sc/sc1.o: src/sc/sc1.c $(HDS)/config.h $(HDS)/global.h $(HDS)/usrdiacom.h $(HDS)/sc1.h
src/sc/sc1command.o: src/sc/sc1command.c $(HDS)/config.h $(HDS)/global.h
src/sc/sc1component.o: src/sc/sc1component.c $(HDS)/config.h $(HDS)/global.h $(HDS)/sc1.h
src/sc/sc1connect.o: src/sc/sc1connect.c $(HDS)/config.h $(HDS)/global.h $(HDS)/sc1.h
src/sc/sc1delete.o: src/sc/sc1delete.c $(HDS)/config.h $(HDS)/global.h $(HDS)/sc1.h
src/sc/sc1electric.o: src/sc/sc1electric.c $(HDS)/config.h $(HDS)/global.h $(HDS)/efunction.h $(HDS)/edialogs.h $(HDS)/sc1.h
src/sc/sc1err.o: src/sc/sc1err.c $(HDS)/config.h
src/sc/sc1extract.o: src/sc/sc1extract.c $(HDS)/config.h $(HDS)/global.h $(HDS)/sc1.h
src/sc/sc1interface.o: src/sc/sc1interface.c $(HDS)/config.h $(HDS)/global.h $(HDS)/sc1.h
src/sc/sc1maker.o: src/sc/sc1maker.c $(HDS)/config.h $(HDS)/global.h $(HDS)/sc1.h
src/sc/sc1place.o: src/sc/sc1place.c $(HDS)/config.h $(HDS)/global.h $(HDS)/sc1.h
src/sc/sc1route.o: src/sc/sc1route.c $(HDS)/config.h $(HDS)/global.h $(HDS)/sc1.h
src/sc/sc1sim.o: src/sc/sc1sim.c $(HDS)/config.h $(HDS)/global.h $(HDS)/sc1.h
src/sim/sim.o: src/sim/sim.c $(HDS)/config.h $(HDS)/global.h $(HDS)/egraphics.h $(HDS)/edialogs.h $(HDS)/sim.h $(HDS)/simals.h $(HDS)/usr.h
src/sim/simals.o: src/sim/simals.c $(HDS)/config.h $(HDS)/global.h $(HDS)/sim.h $(HDS)/simals.h
src/sim/simalscom.o: src/sim/simalscom.c $(HDS)/config.h $(HDS)/global.h $(HDS)/sim.h $(HDS)/simals.h $(HDS)/usrdiacom.h
src/sim/simalsflat.o: src/sim/simalsflat.c $(HDS)/config.h $(HDS)/global.h $(HDS)/sim.h $(HDS)/simals.h
src/sim/simalsgraph.o: src/sim/simalsgraph.c $(HDS)/config.h $(HDS)/global.h $(HDS)/sim.h $(HDS)/simals.h $(HDS)/usr.h $(HDS)/network.h
src/sim/simalssim.o: src/sim/simalssim.c $(HDS)/config.h $(HDS)/global.h $(HDS)/sim.h $(HDS)/simals.h
src/sim/simalsuser.o: src/sim/simalsuser.c $(HDS)/config.h $(HDS)/global.h $(HDS)/sim.h $(HDS)/simals.h
src/sim/simfasthenry.o: src/sim/simfasthenry.c $(HDS)/config.h $(HDS)/global.h $(HDS)/sim.h $(HDS)/usr.h $(HDS)/edialogs.h
src/sim/simmossim.o: src/sim/simmossim.c $(HDS)/config.h $(HDS)/global.h $(HDS)/efunction.h $(HDS)/sim.h $(HDS)/tecschem.h
src/sim/simpal.o: src/sim/simpal.c $(HDS)/config.h $(HDS)/global.h $(HDS)/sim.h $(HDS)/efunction.h $(HDS)/network.h
src/sim/simsilos.o: src/sim/simsilos.c $(HDS)/config.h $(HDS)/global.h $(HDS)/efunction.h $(HDS)/sim.h $(HDS)/tecschem.h
src/sim/simsim.o: src/sim/simsim.c $(HDS)/config.h $(HDS)/global.h $(HDS)/sim.h $(HDS)/efunction.h $(HDS)/tecschem.h
src/sim/simspice.o: src/sim/simspice.c $(HDS)/config.h $(HDS)/global.h $(HDS)/sim.h $(HDS)/efunction.h $(HDS)/tecschem.h
src/sim/simspicerun.o: src/sim/simspicerun.c $(HDS)/config.h $(HDS)/global.h $(HDS)/sim.h $(HDS)/efunction.h $(HDS)/usr.h $(HDS)/edialogs.h
src/sim/simtexsim.o: src/sim/simtexsim.c $(HDS)/config.h $(HDS)/global.h $(HDS)/efunction.h $(HDS)/sim.h $(HDS)/tecschem.h
src/sim/simverilog.o: src/sim/simverilog.c $(HDS)/config.h $(HDS)/global.h $(HDS)/efunction.h $(HDS)/sim.h $(HDS)/network.h $(HDS)/tecgen.h $(HDS)/tecschem.h
src/sim/simwindow.o: src/sim/simwindow.c $(HDS)/config.h $(HDS)/global.h $(HDS)/egraphics.h $(HDS)/sim.h $(HDS)/simals.h $(HDS)/tecgen.h $(HDS)/tecschem.h $(HDS)/tecart.h $(HDS)/usr.h $(HDS)/usrtrack.h
src/tcl/generic/panic.o: src/tcl/generic/panic.c src/tcl/generic/tcl.h
src/tcl/generic/regexp.o: src/tcl/generic/regexp.c src/tcl/generic/tclInt.h src/tcl/generic/tclPort.h
src/tcl/generic/tclAsync.o: src/tcl/generic/tclAsync.c src/tcl/generic/tclInt.h
src/tcl/generic/tclBasic.o: src/tcl/generic/tclBasic.c src/tcl/generic/tclInt.h src/tcl/generic/tclCompile.h
src/tcl/generic/tclBinary.o: src/tcl/generic/tclBinary.c src/tcl/generic/tclInt.h src/tcl/generic/tclPort.h
src/tcl/generic/tclCkalloc.o: src/tcl/generic/tclCkalloc.c src/tcl/generic/tclInt.h src/tcl/generic/tclPort.h
src/tcl/generic/tclClock.o: src/tcl/generic/tclClock.c src/tcl/generic/tcl.h src/tcl/generic/tclInt.h src/tcl/generic/tclPort.h
src/tcl/generic/tclCmdAH.o: src/tcl/generic/tclCmdAH.c src/tcl/generic/tclInt.h src/tcl/generic/tclPort.h
src/tcl/generic/tclCmdIL.o: src/tcl/generic/tclCmdIL.c src/tcl/generic/tclInt.h src/tcl/generic/tclPort.h
src/tcl/generic/tclCmdMZ.o: src/tcl/generic/tclCmdMZ.c src/tcl/generic/tclInt.h src/tcl/generic/tclPort.h src/tcl/generic/tclCompile.h
src/tcl/generic/tclCompExpr.o: src/tcl/generic/tclCompExpr.c src/tcl/generic/tclInt.h src/tcl/generic/tclCompile.h src/tcl/generic/tclPort.h
src/tcl/generic/tclCompile.o: src/tcl/generic/tclCompile.c src/tcl/generic/tclInt.h src/tcl/generic/tclCompile.h
src/tcl/generic/tclDate.o: src/tcl/generic/tclDate.c src/tcl/generic/tclInt.h src/tcl/generic/tclPort.h
src/tcl/generic/tclEnv.o: src/tcl/generic/tclEnv.c src/tcl/generic/tclInt.h src/tcl/generic/tclPort.h
src/tcl/generic/tclEvent.o: src/tcl/generic/tclEvent.c src/tcl/generic/tclInt.h src/tcl/generic/tclPort.h
src/tcl/generic/tclExecute.o: src/tcl/generic/tclExecute.c src/tcl/generic/tclInt.h src/tcl/generic/tclCompile.h src/tcl/generic/tclMath.h src/tcl/generic/tclPort.h
src/tcl/generic/tclFCmd.o: src/tcl/generic/tclFCmd.c src/tcl/generic/tclInt.h src/tcl/generic/tclPort.h
src/tcl/generic/tclFileName.o: src/tcl/generic/tclFileName.c src/tcl/generic/tclInt.h src/tcl/generic/tclPort.h src/tcl/generic/tclRegexp.h
src/tcl/generic/tclGet.o: src/tcl/generic/tclGet.c src/tcl/generic/tclInt.h src/tcl/generic/tclPort.h
src/tcl/generic/tclHash.o: src/tcl/generic/tclHash.c src/tcl/generic/tclInt.h
src/tcl/generic/tclHistory.o: src/tcl/generic/tclHistory.c src/tcl/generic/tclInt.h src/tcl/generic/tclPort.h
src/tcl/generic/tclIO.o: src/tcl/generic/tclIO.c src/tcl/generic/tclInt.h src/tcl/generic/tclPort.h
src/tcl/generic/tclIOCmd.o: src/tcl/generic/tclIOCmd.c src/tcl/generic/tclInt.h src/tcl/generic/tclPort.h
src/tcl/generic/tclIOSock.o: src/tcl/generic/tclIOSock.c src/tcl/generic/tclInt.h src/tcl/generic/tclPort.h
src/tcl/generic/tclIOUtil.o: src/tcl/generic/tclIOUtil.c src/tcl/generic/tclInt.h src/tcl/generic/tclPort.h
src/tcl/generic/tclIndexObj.o: src/tcl/generic/tclIndexObj.c src/tcl/generic/tclInt.h
src/tcl/generic/tclInterp.o: src/tcl/generic/tclInterp.c src/tcl/generic/tclInt.h src/tcl/generic/tclPort.h
src/tcl/generic/tclLink.o: src/tcl/generic/tclLink.c src/tcl/generic/tclInt.h
src/tcl/generic/tclListObj.o: src/tcl/generic/tclListObj.c src/tcl/generic/tclInt.h
src/tcl/generic/tclLoad.o: src/tcl/generic/tclLoad.c src/tcl/generic/tclInt.h
src/tcl/generic/tclLoadNone.o: src/tcl/generic/tclLoadNone.c src/tcl/generic/tclInt.h
src/tcl/generic/tclMain.o: src/tcl/generic/tclMain.c src/tcl/generic/tcl.h src/tcl/generic/tclInt.h
src/tcl/generic/tclNamesp.o: src/tcl/generic/tclNamesp.c src/tcl/generic/tclInt.h
src/tcl/generic/tclNotify.o: src/tcl/generic/tclNotify.c src/tcl/generic/tclInt.h src/tcl/generic/tclPort.h
src/tcl/generic/tclObj.o: src/tcl/generic/tclObj.c src/tcl/generic/tclInt.h src/tcl/generic/tclPort.h
src/tcl/generic/tclParse.o: src/tcl/generic/tclParse.c src/tcl/generic/tclInt.h src/tcl/generic/tclPort.h
src/tcl/generic/tclPipe.o: src/tcl/generic/tclPipe.c src/tcl/generic/tclInt.h src/tcl/generic/tclPort.h
src/tcl/generic/tclPkg.o: src/tcl/generic/tclPkg.c src/tcl/generic/tclInt.h
src/tcl/generic/tclPosixStr.o: src/tcl/generic/tclPosixStr.c src/tcl/generic/tclInt.h src/tcl/generic/tclPort.h
src/tcl/generic/tclPreserve.o: src/tcl/generic/tclPreserve.c src/tcl/generic/tclInt.h
src/tcl/generic/tclProc.o: src/tcl/generic/tclProc.c src/tcl/generic/tclInt.h src/tcl/generic/tclCompile.h
src/tcl/generic/tclStringObj.o: src/tcl/generic/tclStringObj.c src/tcl/generic/tclInt.h
src/tcl/generic/tclTimer.o: src/tcl/generic/tclTimer.c src/tcl/generic/tclInt.h src/tcl/generic/tclPort.h
src/tcl/generic/tclUtil.o: src/tcl/generic/tclUtil.c src/tcl/generic/tclInt.h src/tcl/generic/tclPort.h
src/tcl/generic/tclVar.o: src/tcl/generic/tclVar.c src/tcl/generic/tclInt.h src/tcl/generic/tclPort.h
src/tcl/unix/tclUnixChan.o: src/tcl/unix/tclUnixChan.c src/tcl/generic/tclInt.h src/tcl/generic/tclPort.h
src/tcl/unix/tclUnixEvent.o: src/tcl/unix/tclUnixEvent.c src/tcl/generic/tclInt.h src/tcl/generic/tclPort.h
src/tcl/unix/tclUnixFCmd.o: src/tcl/unix/tclUnixFCmd.c src/tcl/generic/tclInt.h src/tcl/generic/tclPort.h
src/tcl/unix/tclUnixFile.o: src/tcl/unix/tclUnixFile.c src/tcl/generic/tclInt.h src/tcl/generic/tclPort.h
src/tcl/unix/tclUnixInit.o: src/tcl/unix/tclUnixInit.c src/tcl/generic/tclInt.h src/tcl/generic/tclPort.h
src/tcl/unix/tclUnixNotfy.o: src/tcl/unix/tclUnixNotfy.c src/tcl/generic/tclInt.h src/tcl/generic/tclPort.h
src/tcl/unix/tclUnixPipe.o: src/tcl/unix/tclUnixPipe.c src/tcl/generic/tclInt.h src/tcl/generic/tclPort.h
src/tcl/unix/tclUnixSock.o: src/tcl/unix/tclUnixSock.c src/tcl/generic/tcl.h src/tcl/generic/tclPort.h
src/tcl/unix/tclUnixTime.o: src/tcl/unix/tclUnixTime.c src/tcl/generic/tclInt.h src/tcl/generic/tclPort.h
src/tec/tecart.o: src/tec/tecart.c $(HDS)/global.h $(HDS)/egraphics.h $(HDS)/tech.h $(HDS)/tecart.h $(HDS)/efunction.h
src/tec/tecbicmos.o: src/tec/tecbicmos.c $(HDS)/config.h $(HDS)/global.h $(HDS)/egraphics.h $(HDS)/tech.h $(HDS)/efunction.h
src/tec/tecbipolar.o: src/tec/tecbipolar.c $(HDS)/config.h $(HDS)/global.h $(HDS)/egraphics.h $(HDS)/tech.h $(HDS)/efunction.h
src/tec/teccmos.o: src/tec/teccmos.c $(HDS)/config.h $(HDS)/global.h $(HDS)/egraphics.h $(HDS)/tech.h $(HDS)/efunction.h
src/tec/teccmosdodn.o: src/tec/teccmosdodn.c $(HDS)/config.h $(HDS)/global.h $(HDS)/egraphics.h $(HDS)/tech.h $(HDS)/teccmosdodn.h $(HDS)/efunction.h
src/tec/tecefido.o: src/tec/tecefido.c $(HDS)/config.h $(HDS)/global.h $(HDS)/egraphics.h $(HDS)/tech.h $(HDS)/efunction.h
src/tec/tecfpga.o: src/tec/tecfpga.c $(HDS)/config.h $(HDS)/global.h $(HDS)/egraphics.h $(HDS)/tech.h $(HDS)/tecfpga.h $(HDS)/tecgen.h $(HDS)/efunction.h $(HDS)/usr.h $(HDS)/edialogs.h
src/tec/tecgem.o: src/tec/tecgem.c $(HDS)/config.h $(HDS)/global.h $(HDS)/egraphics.h $(HDS)/tech.h $(HDS)/tecgem.h $(HDS)/efunction.h
src/tec/tecgen.o: src/tec/tecgen.c $(HDS)/global.h $(HDS)/egraphics.h $(HDS)/tech.h $(HDS)/efunction.h $(HDS)/tecgen.h $(HDS)/tecart.h
src/tec/tecmocmos.o: src/tec/tecmocmos.c $(HDS)/config.h $(HDS)/global.h $(HDS)/egraphics.h $(HDS)/tech.h $(HDS)/tecmocmos.h $(HDS)/efunction.h
src/tec/tecmocmos2.o: src/tec/tecmocmos2.c $(HDS)/config.h $(HDS)/global.h $(HDS)/egraphics.h $(HDS)/tech.h $(HDS)/efunction.h
src/tec/tecmocmossub.o: src/tec/tecmocmossub.c $(HDS)/config.h $(HDS)/global.h $(HDS)/egraphics.h $(HDS)/tech.h $(HDS)/tecmocmossub.h $(HDS)/efunction.h
src/tec/tecnmos.o: src/tec/tecnmos.c $(HDS)/config.h $(HDS)/global.h $(HDS)/egraphics.h $(HDS)/tech.h $(HDS)/efunction.h
src/tec/tecpcb.o: src/tec/tecpcb.c $(HDS)/config.h $(HDS)/global.h $(HDS)/egraphics.h $(HDS)/tech.h $(HDS)/efunction.h
src/tec/tecrcmos.o: src/tec/tecrcmos.c $(HDS)/config.h $(HDS)/global.h $(HDS)/egraphics.h $(HDS)/tech.h $(HDS)/tecrcmos.h $(HDS)/efunction.h
src/tec/tecschem.o: src/tec/tecschem.c $(HDS)/global.h $(HDS)/egraphics.h $(HDS)/tech.h $(HDS)/tecschem.h $(HDS)/efunction.h
src/tec/tectable.o: src/tec/tectable.c $(HDS)/global.h $(HDS)/tecart.h $(HDS)/teccmosdodn.h $(HDS)/tecgem.h $(HDS)/tecgen.h $(HDS)/tecmocmos.h $(HDS)/tecmocmossub.h $(HDS)/tecrcmos.h $(HDS)/tecschem.h
src/usr/usr.o: src/usr/usr.c $(HDS)/global.h $(HDS)/egraphics.h $(HDS)/tech.h $(HDS)/usr.h $(HDS)/usrtrack.h $(HDS)/usrdiacom.h $(HDS)/tecgen.h $(HDS)/tecschem.h
src/usr/usrarc.o: src/usr/usrarc.c $(HDS)/global.h $(HDS)/egraphics.h $(HDS)/usr.h $(HDS)/efunction.h
src/usr/usrcheck.o: src/usr/usrcheck.c $(HDS)/global.h $(HDS)/database.h $(HDS)/efunction.h $(HDS)/tecgen.h $(HDS)/usr.h
src/usr/usrcom.o: src/usr/usrcom.c $(HDS)/global.h $(HDS)/efunction.h $(HDS)/usr.h $(HDS)/usredtec.h
src/usr/usrcomab.o: src/usr/usrcomab.c $(HDS)/global.h $(HDS)/egraphics.h $(HDS)/usr.h
src/usr/usrcomcd.o: src/usr/usrcomcd.c $(HDS)/global.h $(HDS)/egraphics.h $(HDS)/usr.h $(HDS)/usrtrack.h $(HDS)/database.h $(HDS)/tecgen.h $(HDS)/tecart.h $(HDS)/tecschem.h $(HDS)/efunction.h $(HDS)/usrdiacom.h
src/usr/usrcomek.o: src/usr/usrcomek.c $(HDS)/global.h $(HDS)/usr.h $(HDS)/usrtrack.h $(HDS)/usrdiacom.h $(HDS)/efunction.h $(HDS)/tecart.h $(HDS)/tecgen.h
src/usr/usrcomln.o: src/usr/usrcomln.c $(HDS)/global.h $(HDS)/egraphics.h $(HDS)/usr.h $(HDS)/usrtrack.h $(HDS)/efunction.h $(HDS)/edialogs.h $(HDS)/conlay.h $(HDS)/tecart.h $(HDS)/tecgen.h $(HDS)/sim.h
src/usr/usrcomoq.o: src/usr/usrcomoq.c $(HDS)/global.h $(HDS)/usr.h $(HDS)/egraphics.h
src/usr/usrcomrs.o: src/usr/usrcomrs.c $(HDS)/global.h $(HDS)/egraphics.h $(HDS)/usr.h $(HDS)/usrtrack.h $(HDS)/efunction.h $(HDS)/conlay.h $(HDS)/tecgen.h
src/usr/usrcomtv.o: src/usr/usrcomtv.c $(HDS)/global.h $(HDS)/egraphics.h $(HDS)/usr.h $(HDS)/usrtrack.h $(HDS)/tecgen.h $(HDS)/efunction.h
src/usr/usrcomwz.o: src/usr/usrcomwz.c $(HDS)/global.h $(HDS)/egraphics.h $(HDS)/usr.h $(HDS)/usrtrack.h $(HDS)/efunction.h
src/usr/usrctech.o: src/usr/usrctech.c $(HDS)/global.h $(HDS)/efunction.h $(HDS)/egraphics.h $(HDS)/tech.h $(HDS)/tecgen.h $(HDS)/tecschem.h $(HDS)/usr.h $(HDS)/drc.h $(HDS)/usredtec.h
src/usr/usrdiacom.o: src/usr/usrdiacom.c $(HDS)/global.h $(HDS)/egraphics.h $(HDS)/usr.h $(HDS)/usrdiacom.h $(HDS)/usrtrack.h $(HDS)/efunction.h $(HDS)/tecart.h $(HDS)/tecschem.h $(HDS)/tecgen.h $(HDS)/usredtec.h $(HDS)/eio.h $(HDS)/edialogs.h $(HDS)/conlay.h $(HDS)/tecmocmossub.h
src/usr/usrdisp.o: src/usr/usrdisp.c $(HDS)/global.h $(HDS)/egraphics.h $(HDS)/usr.h $(HDS)/tech.h $(HDS)/tecgen.h
src/usr/usreditemacs.o: src/usr/usreditemacs.c $(HDS)/global.h $(HDS)/egraphics.h $(HDS)/usr.h $(HDS)/usreditemacs.h
src/usr/usreditpac.o: src/usr/usreditpac.c $(HDS)/global.h $(HDS)/egraphics.h $(HDS)/usr.h $(HDS)/usreditpac.h $(HDS)/usrtrack.h $(HDS)/edialogs.h
src/usr/usredtecc.o: src/usr/usredtecc.c $(HDS)/global.h $(HDS)/egraphics.h $(HDS)/efunction.h $(HDS)/usr.h $(HDS)/tecgen.h $(HDS)/tecart.h $(HDS)/usredtec.h $(HDS)/usrdiacom.h
src/usr/usredtecg.o: src/usr/usredtecg.c $(HDS)/global.h $(HDS)/egraphics.h $(HDS)/efunction.h $(HDS)/tech.h $(HDS)/tecgen.h $(HDS)/tecart.h $(HDS)/usr.h $(HDS)/usredtec.h #include #include #include #include
src/usr/usredtecp.o: src/usr/usredtecp.c $(HDS)/global.h $(HDS)/egraphics.h $(HDS)/efunction.h $(HDS)/tech.h $(HDS)/tecgen.h $(HDS)/tecart.h $(HDS)/usr.h $(HDS)/usredtec.h
src/usr/usrgraph.o: src/usr/usrgraph.c $(HDS)/global.h $(HDS)/egraphics.h $(HDS)/usr.h $(HDS)/tecgen.h $(HDS)/tecart.h
src/usr/usrhigh.o: src/usr/usrhigh.c $(HDS)/global.h $(HDS)/egraphics.h $(HDS)/usr.h $(HDS)/tech.h $(HDS)/tecgen.h
src/usr/usrmenu.o: src/usr/usrmenu.c $(HDS)/global.h $(HDS)/egraphics.h $(HDS)/usr.h $(HDS)/efunction.h $(HDS)/tecart.h
src/usr/usrmisc.o: src/usr/usrmisc.c $(HDS)/global.h $(HDS)/egraphics.h $(HDS)/efunction.h $(HDS)/usr.h $(HDS)/usreditemacs.h $(HDS)/usreditpac.h $(HDS)/usrtrack.h $(HDS)/tecgen.h $(HDS)/tecart.h $(HDS)/sim.h
src/usr/usrnet.o: src/usr/usrnet.c $(HDS)/global.h $(HDS)/egraphics.h $(HDS)/usr.h $(HDS)/usrtrack.h $(HDS)/database.h $(HDS)/conlay.h $(HDS)/efunction.h $(HDS)/edialogs.h $(HDS)/tech.h $(HDS)/tecgen.h $(HDS)/tecart.h $(HDS)/tecschem.h
src/usr/usrparse.o: src/usr/usrparse.c $(HDS)/global.h $(HDS)/usr.h $(HDS)/usrdiacom.h $(HDS)/database.h $(HDS)/edialogs.h $(HDS)/tecschem.h
src/usr/usrstatus.o: src/usr/usrstatus.c $(HDS)/global.h $(HDS)/egraphics.h $(HDS)/usr.h $(HDS)/drc.h $(HDS)/network.h $(HDS)/efunction.h $(HDS)/tecgen.h
src/usr/usrterminal.o: src/usr/usrterminal.c $(HDS)/global.h $(HDS)/usr.h $(HDS)/edialogs.h
src/usr/usrtrack.o: src/usr/usrtrack.c $(HDS)/global.h $(HDS)/egraphics.h $(HDS)/usr.h $(HDS)/usrtrack.h $(HDS)/efunction.h $(HDS)/tecart.h $(HDS)/tecgen.h $(HDS)/sim.h
src/usr/usrwindow.o: src/usr/usrwindow.c $(HDS)/global.h $(HDS)/egraphics.h $(HDS)/efunction.h $(HDS)/usr.h
src/vhdl/vhdl.o: src/vhdl/vhdl.c $(HDS)/config.h $(HDS)/global.h $(HDS)/efunction.h $(HDS)/vhdl.h $(HDS)/tecschem.h $(HDS)/edialogs.h
src/vhdl/vhdlals.o: src/vhdl/vhdlals.c $(HDS)/config.h $(HDS)/global.h $(HDS)/vhdl.h
src/vhdl/vhdlexpr.o: src/vhdl/vhdlexpr.c $(HDS)/config.h $(HDS)/global.h $(HDS)/vhdl.h
src/vhdl/vhdlnetlisp.o: src/vhdl/vhdlnetlisp.c $(HDS)/config.h $(HDS)/global.h $(HDS)/vhdl.h
src/vhdl/vhdlparser.o: src/vhdl/vhdlparser.c $(HDS)/config.h $(HDS)/global.h $(HDS)/vhdl.h
src/vhdl/vhdlquisc.o: src/vhdl/vhdlquisc.c $(HDS)/config.h $(HDS)/global.h $(HDS)/vhdl.h
src/vhdl/vhdlsemantic.o: src/vhdl/vhdlsemantic.c $(HDS)/config.h $(HDS)/global.h $(HDS)/vhdl.h
src/vhdl/vhdlsilos.o: src/vhdl/vhdlsilos.c $(HDS)/config.h $(HDS)/global.h $(HDS)/vhdl.h
